Debian Bug report logs - #659045
RFS: goplay (NMU)

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Tue, 7 Feb 2012 17:03:02 UTC

Severity: normal

Tags: wontfix

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Tue, 07 Feb 2012 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 07 Feb 2012 17:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 03:58:41 +1100
[Message part 1 (text/plain, inline)]
Package: sponsorship-requests
Severity: normal


Dear mentors,

NMU for package "goplay" is looking for a sponsor.
(See attached debdiff output)

#####
 GoPlay! is a Graphical User Interface (GUI) that uses DebTags for easily
 finding games in Debian. The program uses FLTK for handling the widgets,
 and libept as the backend for retrieving the data.
 .
 GoPlay! is also a generic yet simple to use DebTags-based package browser.
 Prepackaged browsers GoLearn!, GoAdmin!, GoNet!, GoOffice!, GoSafe!, GoWeb!
 and GoScience! show applications (and for some of them also documentation)
 packages related to education, administration, network, office, safety, web
 and science.  You can also roll your own custom browsers using commandline
 options.
#####


 * Source package URL :

http://mentors.debian.net/debian/pool/main/g/goplay/goplay_0.4-1.1.dsc

 * Package name        : goplay
 * Version             : 0.4-1.1


 * debian/changelog:

goplay (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaging update:
    - removed dh-buildinfo, autotools-dev
    + added missing build-deps, dh-autotools; build-deps optimised
    + compat and debhelper to version 9
    + default hardening (with the exception of fortify)
    + standards to 3.9.2
    + ept-cache replaced with apt-xapian-index in Depends
      (Closes: #615495 important:"goplay must be run as root at least
       once to function")
      (Closes: #460921 wishlist:"requires manual ept-cache reindex on
       the first start")
    + games-thumbnails moved to Recommends
      (Closes: #470047 wishlist:"please Recommends: games-thumbnails
       instead of Depends")
    + no longer depends on g++-4.5
      (Closes: #654733 important:"non-standard gcc/g++ used for build...")
    + build-time .xpm icon regeneration, no longer ship pre-built icon
      (imagemagick added to build-deps)
  * patch to introduce 'goscience' browser,
    thanks to Frederic Daniel Luc Lehobey
    (Closes: #474603 wishlist:"Please add a goscience browser")
  * debian/copyright:
    + updated list of contributors
    + little correction for DEP-5 compliance


To access further information about this package, please visit the following 
URL:

http://mentors.debian.net/package/goplay


Cheers,
Dmitry.
[goplay_0.4-1.1.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Tue, 07 Feb 2012 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 07 Feb 2012 17:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 659045@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 659045@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Tue, 07 Feb 2012 18:10:48 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 659045 +wontfix
thanks

On 07.02.2012 17:58, Dmitry Smirnov wrote:
> NMU for package "goplay" is looking for a sponsor. (See attached 
> debdiff output)
...

> + compat and debhelper to version 9 + default hardening (with the 
> exception of fortify) + standards to 3.9.2 + ept-cache replaced 
> with apt-xapian-index in Depends

We don't do such things in NMUs.

> (Closes: #615495 important:"goplay must be run as root at least 
> once to function") (Closes: #460921 wishlist:"requires manual 
> ept-cache reindex on the first start") + games-thumbnails moved to 
> Recommends (Closes: #470047 wishlist:"please Recommends: 
> games-thumbnails instead of Depends") + no longer depends on 
> g++-4.5 (Closes: #654733 important:"non-standard gcc/g++ used for 
> build...") + build-time .xpm icon regeneration, no longer ship 
> pre-built icon (imagemagick added to build-deps)

And neither most of that.

Please keep NMUs minimally invasive and fix _very_ important bugs only
(i.e. RC bugs or other important bugs which qualify for a NMU). See [1]

[1] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#nmu

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPMVsYAAoJEMcrUe6dgPNtB7IQAMRTbP/CndGWp8yEUPujVZga
22VRUVrGmggkCE6d9aSNZdERdw1Pzr30P8tG36R1GjxOZLgHr0nJwX519LOMT0pL
JV2O8GZarW/YYP2iFsxG/zf1wMSDac/K2jYl0EaQisPg79EQtnwvsl2KzVxW701N
AayCicOKKvXOd/KfWIrs4wElzPjNqz1KrRsqyH7z7hAfYviYR9DcHz/oWNJv+Uyx
tqfPNisVunaV4UrQzMBHiWJEgUmPM3YTFxd5SKzcunUu3BMJNB/LWQc6hKaTNNVs
4lYwl8bay4VHABt6ghaIR7/BI2p7GozuZeSZ96gs/mfXOWpxbzXsPEeAa66IXXHP
gD9NgsGzqIQReiqFSjPY5w7ZQj+y+mdD2Y2zGWm5kR+P3gWd56xPX2HB+/DV79OM
kvGYrlq3ZCLaDfXTtPQ3lAWZXo5+X8qf6Fh0M9q7lgMaOD2Mxmv9a4hSXmCoIM8r
2yOVt1rcVHAS7tweBEKUz6/PX0rTO+pNgQaYm7ig2iGksljCW9QZEfWytjQVNvzb
AXBMqNqmbx1Klxy2TSBKG5eDsNvxtos7mVXhJk0LoSzTM2FV5Bz5DvQkafTS9hoi
bpgIVPh2Y+gl3iXIsenDC6PQJ3MgW4LdshSA/irStPiVPbtawHqP+xPmTmtY/PPm
apveLsdbd4npdGesFzuP
=24Y4
-----END PGP SIGNATURE-----




Added tag(s) wontfix. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 17:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 659045@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: debian-mentors@lists.debian.org, Arno Töll <debian@toell.net>, 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 11:10:55 +1100
Hi Arno,

On Wed, 8 Feb 2012 04:10:48 Arno Töll wrote:
> > + compat and debhelper to version 9 + default hardening (with the
> > exception of fortify) + standards to 3.9.2 + ept-cache replaced
> > with apt-xapian-index in Depends
> 
> We don't do such things in NMUs.
> 

*Sometimes* we do. 

The options are: 

   * QA			:	Not in this case since the package is team-maintained.

   * Team			:	Looks like best option, but I'm not the team member 
					so I can't upload on behalf of the team.

   * NMU			:   Certainly not an unreasonable option, read below.

Of course team upload would be the best but because package hasn't been 
touched for years, I have reasonable concerns that either team is not active 
or they are busy with something more important.

Normally I would send patches but in this case I found no public repository 
and not even upstream repository.

Because for few years there were no activity regarding the package (neither 
package updates nor bug tracker activity) I think the NMU approach is 
reasonable.

Changes in NMU are easy enough to acknowledge so whoever interested may just 
drop my work in DELAYED unless team would step in.


> > (Closes: #615495 important:"goplay must be run as root at least
> > once to function") (Closes: #460921 wishlist:"requires manual
> > ept-cache reindex on the first start") + games-thumbnails moved to
> > Recommends (Closes: #470047 wishlist:"please Recommends:
> > games-thumbnails instead of Depends") + no longer depends on
> > g++-4.5 (Closes: #654733 important:"non-standard gcc/g++ used for
> > build...") + build-time .xpm icon regeneration, no longer ship
> > pre-built icon (imagemagick added to build-deps)
> 
> And neither most of that.

I think sometimes you'd better consider common sense.
I believe you're not saying "don't do the best you can in NMU" because that 
would be quite discouraging.

There are enough teams out there who do not accept anything less than perfect. 
So I spent couple of hours doing those improvements and I've chosen to fix 
what I could and then walk away to address other problems. This provides more 
help regarding work needed and allow to use time effectively.

Let me point out that your concerns regarding what can be done in NMU would be 
better considered in context of what's the best for the package and if the 
changes are good enough for upload.

I've seen NMUs with bigger changes. NMUs are there to address problems aren't 
they?

Also from technical prospective it is reasonable to use proven up-to-date 
packaging since outdated packaging often cause problems by itself.
NMU should not be in the way of quality.

> 
> Please keep NMUs minimally invasive and fix _very_ important bugs only
> (i.e. RC bugs or other important bugs which qualify for a NMU). See [1]
> 
> [1] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#nmu

I'm aware of that, thank you.

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 01:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 01:54:07 GMT) Full text and rfc822 format available.

Message #22 received at 659045@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 10:51:19 +0900
Le Wed, Feb 08, 2012 at 11:10:55AM +1100, Dmitry Smirnov a écrit :
> 
> The options are: 
> 
>    * QA			:	Not in this case since the package is team-maintained.
> 
>    * Team			:	Looks like best option, but I'm not the team member 
> 					so I can't upload on behalf of the team.
> 
>    * NMU			:   Certainly not an unreasonable option, read below.
> 
> Of course team upload would be the best but because package hasn't been 
> touched for years, I have reasonable concerns that either team is not active 
> or they are busy with something more important.

Hi Dmitry,

have you actually tried to contact the team ?  I do not see messages from you
in January or February on their mailing list.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 02:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 659045@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Charles Plessy <plessy@debian.org>, 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 13:28:42 +1100
Hi Charles,

> have you actually tried to contact the team ?  I do not see messages from
> you in January or February on their mailing list.
> 

I did just before I noticed this message of yours, but I wrote to them after I 
placed the sponsorship request. :(
Probably that's wasn't the best choice but I didn't expect an answer hence I 
decided to file NMU.
I reckon I should have give them a chance to respond. 
Lesson learned.

All the best,
Dmitry.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 02:39:03 GMT) Full text and rfc822 format available.

Message #32 received at 659045@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Charles Plessy <plessy@debian.org>, 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 13:36:08 +1100
Hi Charles,

On Wed, 8 Feb 2012 12:51:19 Charles Plessy wrote:
> have you actually tried to contact the team ?  I do not see messages from
> you in January or February on their mailing list.

How could I forget, I did contact them thought the Alioth request to join the 
team, where I mention the prepared NMU.

But I give them almost not time to respond before RFS.
(Due to low activity I didn't expect a soon response)

Sorry for my impatience.

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 659045@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 11:51:42 +0900
Le Wed, Feb 08, 2012 at 01:36:08PM +1100, Dmitry Smirnov a écrit :
> 
> How could I forget, I did contact them thought the Alioth request to join the 
> team, where I mention the prepared NMU.

Alioth requests are a mess: when one admin answers, there is no notification
to the other admins.  As a consequence, it can happen that everyone expects
the others to have answered.  I recommend to contact the team on its mailing
list.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659045; Package sponsorship-requests. (Wed, 08 Feb 2012 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 08 Feb 2012 03:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 659045@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Charles Plessy <plessy@debian.org>, 659045@bugs.debian.org
Subject: Re: Bug#659045: RFS: goplay (NMU)
Date: Wed, 8 Feb 2012 14:13:22 +1100
Hi Charles,

On Wed, 8 Feb 2012 13:51:42 Charles Plessy wrote:
> Alioth requests are a mess: when one admin answers, there is no
> notification to the other admins.  As a consequence, it can happen that
> everyone expects the others to have answered.  I recommend to contact the
> team on its mailing list.

Thank you for this very useful information. 
Now I understand why sometimes it takes so long to process a join application.

Cheers,
Dmitry.




Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Wed, 15 Feb 2012 11:27:46 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Wed, 15 Feb 2012 11:27:52 GMT) Full text and rfc822 format available.

Message #47 received at 659045-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 659045-done@bugs.debian.org
Subject: Re: RFS: goplay (NMU)
Date: Wed, 15 Feb 2012 12:22:24 +0100
Closing as 0.4-1.2 was uploaded to unstable by Petter Reinholdtsen.

Regards,
Ansgar




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Mar 2012 07:34:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:38:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.